
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>80386保护方式简介 / iVAN</title>

    <meta name="description" content="80386保护方式简介 80386有三种工作方式:实模式,保护模式和虚拟8086模式.本文介绍保护方式下的80386及相关的程序设计内容.实模式下的80386寄存器,寻址方式和指令等基本概念,除特别说明外在保护方式下仍然保持.     尽管实方式下80386的功能要大大超过其先前的处理器(8086/8088,80186,80286),但只有在保护方式下, 80386才能真正发挥更大的作用.在保护方式下,全部32条地址线有效,可寻址高达4G字节的物理地址空间;扩充的存储器分段管理机制和可选的存储器分页管理机制,不仅为存储">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">80386保护方式简介</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>　 80386有三种工作方式:实模式,保护模式和虚拟8086模式。本文介绍保护方式下的80386及相关的程序设计内容。实模式下的80386寄存器，寻址方式和指令等基本概念，除特别说明外在保护方式下仍然保持。<br />     尽管实方式下80386的功能要大大超过其先前的处理器(8086/8088,80186,80286)，但只有在保护方式下， 80386才能真正发挥更大的作用。在保护方式下，全部32条地址线有效，可寻址高达4G字节的物理地址空间;扩充的存储器分段管理机制和可选的存储器分页管理机制，不仅为存储器共享和保护提供了硬件支持，而且为实现虚拟存储器提供了硬件支持;支持多任务，能够快速地进行任务切换和保护任务环境;4个特权级和完善的特权检查机制，既能实现资源共享又能保证代码和数据的安全和保密及任务的隔离;支持虚拟8086方式，便于执行8086程序。<br />     &lt;一&gt;存储管理机制<br />     为了对存储器中的程序及数据实现保护和共享提供硬件支持，为了对实现虚拟存储器提供硬件支持，在保护方式下,80386不仅采用扩充的存储器分段管理机制，而且提供可选的存储器分页管理机制。这些存储管理机制由80386存储管理部件MMU实现。<br />     1.目标<br />     80386有32根地址线，在保护方式下，它们都能发挥作用，所以可寻址的物理地址空间高达4G字节。在以80386及其以上处理器为CPU的PC兼容机系统中，把地址在1M以下的内存称为常规内存，把地址在1M 以上的内存称为扩展内存。<br />     80386还要对实现虚拟存储器提供支持。虽然与8086可寻址的1M字节物理地址空间相比，80386可寻址的物理地址空间可谓很大，但实际的微机系统不可能安装如此达的物理内存。所以，为了运行大型程序和真正实现多任务，必须采用虚拟存储器。虚拟存储器是一种软硬件结合的技术，用于提供比在计算机系统中实际可以使用的物理主存储器大得多的存储空间。这样，程序员在编写程序时不用考虑计算机中物理存储器的实际容量。<br />     80386还要对存放在存储器中的代码及数据的共享和保护提供支持。任务甲和任务乙并存，任务甲和任务乙必须隔离，以免相互影响。但它们又可能要共享部分代码和数据。所以，80386既要支持任务隔离，又要支持可共享代码和数据的共享，还要支持特权保护。<br />    2.地址空间和地址转换<br />     保护方式下的虚拟存储器由大小可变的存储块构成，这样的存储块称为段。80386采用称为描述符的数据来描述段的位置、大小和使用情况。虚拟存储器的地址(逻辑地址)由指示描述符的选择子和段内偏移两部分构成，这样的地址集合称为虚拟地址空间。80386支持的虚拟地址空间可达64T字节。程序员编写程序时使用的存储地址空间是虚拟地址空间，所以，他们可认为有足够大的存储空间可供使用。<br />     显然，只有在物理存储器中的程序才能运行，只有在物理存储器中的数据才能访问。因此，虚拟地址空间必须映射到物理地址空间，二维的虚拟地址必须转化成一维的物理地址。由于物理地址空间远小于虚拟地址空间，所以只有虚拟地址空间中的部分可以映射到物理地址空间。由于物理存储器的大小要远小于物理地址空间，所以只有上述部分中的部分才能真正映射到物理存储器。<br />    每一个任务有一个虚拟地址空间。为了避免多个并行任务的多个虚拟地址空间直接映射到同一个物理地址空间，采用线性地址空间隔离虚拟地址空间和物理地址空间。线性地址空间由一维的线性地址构成，线性地址空间和物理地址空间对等。线性地址32位长，线性地址空间容量为4G字节。<br />     80386分两步实现虚拟地址空间到物理地址空间到物理地址空间的映射，也就是分两步实现虚拟地址到物理地址的转换，但第二步是可选的。下图是地址映射转换的示意图。<br />        <img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g0Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMTQwMDUzMDMxMDQyLmdpZg==.jpg"> <br />     通过描述符表和描述符，分段管理机制实现虚拟地址空间到线性地址空间的映射，实现把二维的虚拟地址转换为一维的线性地址。这一步总是存在的。<br />     分页管理机制把线性地址空间和物理地址空间分别划分为大小相同的块，这样的块称为页。通过在线性地址空间的页与物理地址空间的页建立之间建立的映射表，分页管理机制实现线性地址空间到物理地址空间的映射，实现线性地址到物理地址的转换。分页管理机制是可选的，在不采用分页管理机制时，线性地址空间就等同于物理地址空间，线性地址就等于物理地址。<br />    分段管理机制所使用的可变大小的块，时分段管理机制比较适宜处理复杂系统的逻辑分段。存储块的大小可以根据适当的逻辑含义进行定义，而不用考虑固定大小的页所强加的人为限制。每个段可作为独立的单位处理，以简化段的保护及共享。分页机制使用的固定大小的块最适合于管理物理存储器，无论是管理内存还是外存都同样有效。分页管理机制能够有效地支持实现虚拟存储器。<br />     段及分页这两种机制是两种不同的转换机制，是整个地址转换函数的不同的转换级。虽然两种机制都利用存储在主存储器中的转换表，但这些表具有独立的结构。事实上，段表存储在线性地址空间，而页表存储在物理地址空间。因此，段转换表可由分页机制重新进行定位而不需段机制的参与。段转换机制把虚拟地址转换为线性地址，并在线性地址中访问段转换机制的表格，而不会觉察分页机制已把线性地址转换为物理地址。类似地，分页机制对于程序产生的地址所使用的虚拟地址空间一无所知。分页机制只是直接地把线性地址转换为物理地址，并且在物理地址中访问转换表格，并不知道虚拟地址空间的存在，甚至不知道段转换机制的存在。<br />     3.虚拟存储器概念<br />     虚拟存储器是一种设计技术，用于提供比在计算机系统中实际可以使用的物理主存储器大得多的存储空间。使用者会产生一种错觉，好象在程序中可以使用非常大的物理存储空间。使用虚拟存储器的好处是：一个程序可以很容易地在物理存储器容量大不一样的、配置范围很广的计算机上运行；编程人员使用虚拟存储器可以写出比任何实际配置的物理存储器都大得多的程序。虚拟存储器由存储管理机制及一个大容量的快速硬盘存储器支持。在程序运行的任何时刻，只把虚拟地址空间的一小部分映射到主存储器，其余部分则存储在磁盘上。因为只有存储在主存储器中的部分虚拟存储器可由处理器使用，这种虚拟存储技术将依赖程序内部访问存储器的局部化特性，在程序执行中只需整个虚拟存储器中的少量存储内容在主存储器中驻留。而当访问存储器的范围发生变化时，有必要把虚拟存储器的某些部分从磁盘调入主存储器，虚拟存储器的另外的部分，也能从主存储器传送回磁盘上。<br />     地址转换机制以两种方式支持虚拟存储器。<br />     第一，把实际驻留在主存储器中的那部分虚拟存储器标记为无效，并建立起虚拟存储器驻留部分的虚拟-- 物理映射关系，把驻留部分的相应虚拟存储器地址，转换为对应物理存储器的地址。如果程序访问的虚拟地址对应于虚拟存储器未驻留的部分，将由于无效映射信息而引起异常。操作系统通过把未驻留部分从磁盘上读入到主存储器中，来处理这种异常，并根据需要更新地址转换表。在引起异常的原因排除以后，异常处理程序完成异常事件的处理，并返回原来的程序恢复执行。在后面的文章中将会看到，从异常处理程序返回后，这时要重新执行一次原来引起异常的指令，而该指令在后一次执行时自然会成功地完成。<br />     第二，地址转换机制通过收集驻留在主存储器中的虚拟存储器部分的使用统计信息来支持虚拟存储器，这些使用统计信息，在主存储器空间紧缺时，帮助操作系统决定可以将哪些部分传送回磁盘。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 06:36:11</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%9c%b0%e5%9d%80/" title="地址">地址</a>, <a href="https://www.iamivan.net/tag/%e5%ad%98%e5%82%a8/" title="存储">存储</a>, <a href="https://www.iamivan.net/tag/%e7%89%a9%e7%90%86%e5%b1%82/" title="物理层">物理层</a>, <a href="https://www.iamivan.net/tag/%e7%a9%ba%e9%97%b4/" title="空间">空间</a>, <a href="https://www.iamivan.net/tag/%e7%ba%bf%e6%80%a7/" title="线性">线性</a>, <a href="https://www.iamivan.net/tag/%e7%89%a9%e7%90%86/" title="物理">物理</a>, <a href="https://www.iamivan.net/tag/%e6%9c%ba%e5%88%b6/" title="机制">机制</a>, <a href="https://www.iamivan.net/tag/%e5%9c%b0%e5%9d%80%e5%ad%98%e5%82%a8/" title="地址存储">地址存储</a>, <a href="https://www.iamivan.net/tag/%e5%9c%b0%e5%9d%80%e7%a9%ba%e9%97%b4/" title="地址空间">地址空间</a>, <a href="https://www.iamivan.net/tag/%e5%88%86%e9%a1%b5%e5%ad%98%e5%82%a8%e7%ae%a1%e7%90%86/" title="分页存储管理">分页存储管理</a>, <a href="https://www.iamivan.net/tag/%e5%ad%98%e5%82%a8%e8%bf%87%e7%a8%8b%e7%9a%84%e8%bd%ac%e6%8d%a2/" title="存储过程的转换">存储过程的转换</a>, <a href="https://www.iamivan.net/tag/%e8%99%9a%e6%8b%9f%e5%9c%b0%e5%9d%80/" title="虚拟地址">虚拟地址</a>, <a href="https://www.iamivan.net/tag/%e7%89%a9%e7%90%86%e5%9c%b0%e5%9d%80/" title="物理地址">物理地址</a>, <a href="https://www.iamivan.net/tag/%e5%ad%98%e5%82%a8%e7%a9%ba%e9%97%b4/" title="存储空间">存储空间</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>80386保护方式简介的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bj7RoNM.html" rel="bookmark">汇编教程：分段管理机制</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文介绍保护方式下的段定义以及由段选择子及段内偏移构成的二维虚拟地址如何被转换为一维线性地址. &lt;一&gt;段定义和虚拟地址到线性地址的转换 段是实现虚拟地址到线性地址转换机制的基础.在保护方式下,每个段由如下三个参数进行定义:段基地址(Base Address).段界限(Limit)和段属性(Attributes). 段基地址规定线性地址空间中段的开始地址.在80386保护方式下,段基地址长32位.因为基地址长度与寻址地址的长度相同,所以任何一个段都可以从32位线性地址空间中的任何一个字节开始,而			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBKO09M.html" rel="bookmark">深入理解计算机系统-之-内存寻址（三）--分段管理机制（段描述符，段选择子，描述符表）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				逻辑地址-=&gt;线性地址-=&gt;物理地址 前面我们提到了当使用80x86微处理器时,有三种不同的地址: 逻辑地址(logical address):包含在机器语言指令中用来指定一个操作数或一条指令的地址.这个寻址方式在80x86著名的分段结构中表现得尤为具体,它促使MS-DOS或Windows程序员把程序分成若干段.每一个逻辑地址都由一个段(segment)和偏移量(offset或displacement)组成,偏移量指明了从段开始的地方到实际地址之间的距离. 线性地址(linear addres			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mvm7Q1b.html" rel="bookmark">《Linux 高级程序设计（第三版）》&mdash;&mdash;第１章　　Linux下C语言开发环境  1&period;1 Linux操作系统简介</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第1章 Linux下C语言开发环境 Linux应用程序开发平台有别于Windows应用程序开发平台,因此在介绍具体编程内容之前,本书第1.2章主要介绍Linux操作系统下C语言程序的开发环境和开发工具. 本章主要介绍Linux下C语言开发环境,包括一些基本概念和基本编程环境.本章第1节主要对Linux操作系统及其相关术语进行了简要介绍. 本章第2节主要介绍Linux操作系统下编程基本概念以及如何获得Linux下的帮助文件,包括Linux操作系统下C语言库文件标准以及系统调用的基本概念. 本章第3			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGZgGep.html" rel="bookmark">RPM使用简介</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如转载,请注明出处:http://blog.csdn.net/robinson_0612/archive/2009/10/08/4699969.aspx          RPM全名是RedHat Package Manager,简称为RPM,又称之为RPM软件包管理器,使RedHat套件管理程序之一,类似于Windows控制面板中的添加删除模块,Windows添加删除程序通过将安装信息记录在注册表,以便于程序的更新,卸载.而RPM同样有着类似的功能,用于linux下套件包的安装与管理.    			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p58qGRM.html" rel="bookmark">linux入门教程1 系统简介&lowbar;unix linux</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1994年,Young和Mark Ewing创建了Red Hat公司,并创造了全球使用最广泛的Red Hat Linux套件,为Linux的普及立下了汗马功劳,笔者也是跟随着Red Hat的带领下走进Linux世界的.Red Hat取得了辉煌的成绩,甚至许多Linux发行公司还采用了许多Red Hat Linux的代码,如Mandrake.SOT Best.Connectiva.Abit和Kondara.可以说,Red Hat在某种意义上几乎成了Linux的代名词. 2001年4月16日,Red			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/vbQkKpq.html" rel="bookmark">Python中title&lpar;&rpar;方法的使用简介</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  这篇文章主要介绍了Python中title()方法的使用简介,是Python入门中的基础知识,需要的朋友可以参考下 title()方法返回所有单词的第一个字符大写的字符串的一个副本. 语法 以下是title()方法的语法: ? 1 str.title(); 参数 NA 返回值 此方法返回其中所有单词的前几个字符都是大写的字符串的一个副本. 例子 下面的例子显示了title()方法的使用. ? 1 2 3 4 #!/usr/bin/python   str = &quot;this is string			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/YMR4Kzm.html" rel="bookmark">shiro&lpar;1&rpar;-简介</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				简介 apache shiro 是一个功能强大和易于使用的Java安全框架,为开发人员提供一个直观而全面的的解决方案的认证,授权,加密,会话管理. 在实际应用中,它实现了应用程序的安全管理的各个方面. shiro的功能 apache shiro能做什么? 支持认证跨一个或多个数据源(LDAP,JDBC,kerberos身份等) 执行授权,基于角色的细粒度的权限控制. 增强的缓存的支持. 支持web或者非web环境,可以在任何单点登录(SSO)或集群分布式会话中使用. 主要功能是:认证,授权,会话			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/xpnejMG.html" rel="bookmark">Tutum公司简介</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2015年10月21日,由Tutum公司的CEO Borja Burgos对外宣布,Tutum与Docker公司正式合作,大家对Tutum和Docker的合作还是很期待的.下面我简单介绍一下Tutum公司. Tutum的历史 Tutum创立的时间很难确定.Tutum(拉丁语里安全的意思)的最初构思是在2012年秋季,它是作为Borja Burgos在卡内基梅隆大学(匹兹堡)的研究生课程和在日本兵库县大学的硕士论文,Tutum是一个可以帮助企业过渡到云的安全支持系统. 在2013年初,Tutum有			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/jbExPzR.html" rel="bookmark">在应用中加入全文检索功能&mdash;&mdash;基于Java的全文索引引擎Lucene简介</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				全文检索|索引 内容摘要: Lucene是一个基于Java的全文索引工具包. 基于Java的全文索引引擎Lucene简介:关于作者和Lucene的历史 全文检索的实现:Luene全文索引和数据库索引的比较 中文切分词机制简介:基于词库和自动切分词算法的比较 具体的安装和使用简介:系统结构介绍和演示 Hacking Lucene:简化的查询分析器,删除的实现,定制的排序,应用接口的扩展 从Lucene我们还可以学到什么 基于Java的全文索引/检索引擎--Lucene Lucene不是一个完整的全			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMgw08M.html" rel="bookmark" class="title">吐槽一下J2Cache</a>
					<div>
						槽点一:集成方式采用ANT 工程还是传统的工程,集成还在用的ant,当然ant来做没有什么不可以,但是作为OSC这么高大上的作者拿出的作品能不能槽点高一些?已经采用了Maven了,用Maven无法独立 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LzJQGqp.html" rel="bookmark" class="title">何插入Access库记录后马上得到自动编号值</a>
					<div>
						access|插入 首先须保证获得记录集的方式支持bookmark属性,如1,3 插入一条带自动编号字段的记录后,获取该记录的bookmark属性值 temp = rs.bookmark 然后 rs. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2yyJZz.html" rel="bookmark" class="title">PHP连接ODBC的代码</a>
					<div>
						也不知道自已的IT路能走多长,以后也別技较一时的得失了,凭自己的兴趣,能学多少就学多少了.... 这是个用PHP连接ODBC的例子(抄来的),ODBC还要设定一下,注意要选报系统DSN,同事说用ODB ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5AA6Wp.html" rel="bookmark" class="title">如何使用JavaScript判断图片是否加载完成</a>
					<div>
						有时需要获取图片的尺寸,这需要在图片加载完成以后才可以.有三种方式实现,下面一一介绍. 一.load事件 &lt;!DOCTYPE HTML&gt; &lt;html&gt; &lt;head&gt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlRPyDz.html" rel="bookmark" class="title">Adobe CS6系列在WIN7 WIN8安装失败的解决</a>
					<div>
						WIN8正式版出来了,当然要第一时间下载尝鲜了,更更当然要下载功能最多的企业版了,除了现在下暂时只能无限试用之外,其它破解的方法我懒得试了.然后工作必备的软件也得安装一些,虽然工作是都是在WIN7的, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M91ZnKM.html" rel="bookmark" class="title">Excel如何快速输入特殊符号</a>
					<div>
						  1.首先我们在单元格里输入代替特殊符号的字母,这里以&quot;X&quot;为例,接着点击工具栏的&quot;查找和选择&quot;→&quot;替换&quot;. 2.点击&quot;替换&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvKeD9p.html" rel="bookmark" class="title">创建PowerPoint 2013演示文稿的基本任务</a>
					<div>
						PowerPoint 演示文稿的效果类似于幻灯片. 要想传达一份信息或一个故事,可将其分解成多张幻灯片. 可将每张幻灯片看作是一张放置图片.文字和形状的空白画布,这将有助于构建您的故事. 选择主题 打 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOakmQM.html" rel="bookmark" class="title">内存条怎么正确安装到电脑主机上</a>
					<div>
						  内存条怎么正确安装到电脑主机上          打开机箱,可以看见内存插槽,视主板不同也不一样,有的4个,两两同色,有的就两个,就这样插上去就可以的,一定要用力插紧,不然会开不了机,方向错了是插 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0QxADp.html" rel="bookmark" class="title">基于JavaScript实现继承机制之原型链&lpar;prototype chaining&rpar;的详解&lowbar;javascript技巧</a>
					<div>
						如果用原型方式重定义前面例子中的类,它们将变为下列形式: 复制代码 代码如下: function ClassA() {} ClassA.prototype.color = &quot;blue&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVN8WQz.html" rel="bookmark" class="title">域控制器简介</a>
					<div>
						&quot;域&quot;的真正含义指的是服务器控制网络上的计算机能否加入的计算机组合.一提到组合,势必需要严格的控制.所以实行严格的管理对网络安全是非常必要的.在对等网模式下,任何一台电脑只要接入网 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQrx78M.html" rel="bookmark" class="title">使用zxing生成二维码 扫二维码进行页面跳转问题</a>
					<div>
						问题描述 使用zxing生成二维码 扫二维码进行页面跳转问题 @RequestMapping(value=&quot;&quot;createQRCode&quot;&quot; method = R ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVN26Yz.html" rel="bookmark" class="title">如何用 windbg 调试 查找 自动关机原因</a>
					<div>
						问题描述 如何用 windbg 调试 查找 自动关机原因 同事电脑总是不定时的自动关机,想用windbg双机调试查找到底是哪个进程搞的鬼,之前是在ZwShutdownSystem函数下断点,之后才明白 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNjvVPM.html" rel="bookmark" class="title">Facebook应收购Twitter的理由：拓展直播视频业务</a>
					<div>
						此前,曾有多家公司有意收购Twitter,例如迪斯尼.谷歌母公司Alphabet以及Salesforce等,但这些公司最终都放弃了收购意愿. 目前看来,似乎没有人愿意收购Twitter了. 不过,对饱 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqRJ73p.html" rel="bookmark" class="title">关于图像分割Snake算法（c&num;）的一些不解之惑，望大神指点</a>
					<div>
						问题描述 关于图像分割Snake算法(c#)的一些不解之惑,望大神指点 我手头有一个别人的代码,是winform程序,其中包含了两个类,分别是FormSnake.cs和SnakeSharp.cs在Fo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRGlAb.html" rel="bookmark" class="title">水晶报表直接打印，提示指定的打印机无效。</a>
					<div>
						问题描述 我用C#写了一个activex获取客户端的web插件,但是我发布到iis后,客户端的打印机能获取到,我本机打印正常,别人点击打印的时候提示,指定的打印机无效.求大神指点,具体错误如下:指定的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPk8avM.html" rel="bookmark" class="title">使用Kinect时Xbox 360出现了三红&lpar;RROD&rpar;问题</a>
					<div>
						如果你近日购买了微软的Xbox 360体感外设Kinect,而你使用的Xbox 360又有些年头了,那么你或许会发现在使用Kinect时Xbox 360出现了三红(RROD)问题.微软Xbox技术论坛 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmBKB7z.html" rel="bookmark" class="title">Ibatis动态&lpar;dynamic&rpar;查询</a>
					<div>
						﻿﻿Ibatis的动态查询使得数据操作变得非常的灵活,下次举出了常用的动态查询的属性信息: Ibatis配置信息 Xml代码   &lt;!-- Dynamic Sql --&gt;     &lt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3Jmwwz.html" rel="bookmark" class="title">怎样在C&num;中实现读取EXCEL 中的图表并直接保存到WORD中</a>
					<div>
						问题描述 有没有大神,知道怎么在C#中将EXCEL中的图表直接保存到WORD文档中的指定位置中?在网上搜了一些,只查到将EXCEL中的图表保存本地然后用WORD读取,但本人想直接将EXCEL中的图表保 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL5arkz.html" rel="bookmark" class="title">美国一网站空头奥运门票欺骗世界 澳洲领导人亦受骗</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 正当全世界的人们殷切地盼望北京奥运 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL5gx0z.html" rel="bookmark" class="title">AngularJS 过滤与排序详解及实例代码&lowbar;AngularJS</a>
					<div>
						前面了解了AngularJS的使用方法,这里就简单的写个小程序,实现查询过滤以及排序的功能. 本程序中可以了解到: 1 angularjs的过滤器 2 ng-repeat的使用方法 3 控制器的使用  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj8lv0p.html" rel="bookmark" class="title">取消选中单选框radio的三种方式示例介绍&lowbar;jquery</a>
					<div>
						本文提供了三种取消选中radio的方式,代码示例如下: 本文依赖于jQuery,其中第一种,第二种方式是使用jQuery实现的,第三种方式是基于JS和DOM实现的. 复制代码 代码如下: &lt;!D ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV7o9Kb.html" rel="bookmark" class="title">JQuery实现&mdash;黑客帝国代码下落特效</a>
					<div>
						下面通过两个小例子,一步一步来实现: 第一个: &lt;%@ page language=&quot;java&quot; import=&quot;java.util.*&quot; pageEnc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPlv4mp.html" rel="bookmark" class="title">jQuery使用hide方法隐藏页面上指定元素的方法&lowbar;jquery</a>
					<div>
						本文实例讲述了jQuery使用hide方法隐藏页面上指定元素的方法.分享给大家供大家参考.具体如下: 下面的JS代码隐藏了网页中所有&lt;p&gt;标签的内容 &lt;!DOCTYPE html&g ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgEla1z.html" rel="bookmark" class="title">C&num;中ConcurrentDictionary&amp;amp&semi;amp&semi;lt&semi;TKey&comma; TValue&amp;amp&semi;amp&semi;gt&semi; 类中Tkey键是否排序和支持索引下标搜索</a>
					<div>
						问题描述 小白一个,在程序中只用ConcurrentDictionary&lt;TKey,TValue&gt;来存储判读结果,然后需要取出ConcurrentDictionary集合中第一条数据.发现 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9jZykp.html" rel="bookmark" class="title">关于打印的提示</a>
					<div>
						问题描述 某张单据,如果已经打印过了,我想在点击打印的时候,能让它提示下,此单已经打印过了,我该怎么去做? 解决方案 解决方案二:打印完了在单据里面留个记号,如果再点击打印就查这个记号,如果有,就说明 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj8kZ8p.html" rel="bookmark" class="title">java-安卓 JNI回调Java 总是崩溃</a>
					<div>
						问题描述 安卓 JNI回调Java 总是崩溃 java 代码: package com.example.jnitest; import android.app.Activity; import and ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZmdy6p.html" rel="bookmark" class="title">如何使用 Cdosys&period;dll 库使用 Visual C&num; 中发送电子邮件带有附件接收邮件</a>
					<div>
						 如何使用 Cdosys.dll 库一封新邮件中嵌入一条消息,使用 Visual C# 本文描述如何在新邮件中嵌入邮件的 Windows 2000 库 (Cdosys.dll) 中使用 Microso ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn46rrb.html" rel="bookmark" class="title">华为KunLun助力海澜之家升级ERP系统提升运营效率</a>
					<div>
						近日,海澜之家选择华为KunLun 12TB HANA一体机解决方案作为ERP(企业资源计划)核心数据库平台.KunLun创新的8P+纵向扩展能力支持更大规模数据的联机交易与分析,满足海澜之家业务快速 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqgvPez.html" rel="bookmark" class="title">量化情感：硬件豹变的下一条路径</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 智能硬件这块新鲜奶酪,已引发无数垂涎者竞动刀,最近连婚恋网站世纪佳缘网也卷进来了! 尽管官方未透露其即将推广的智能情侣手环的过多细节,但根据此前有国外团 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z436aYp.html" rel="bookmark" class="title">iOS 基于服务端的App下载打包教程</a>
					<div>
						打包服务端可以下载App包有两种方式: 第一种:利用Xcode直接打包,步骤如下: 第一步:利用Xcode的存档功能,打包. 第二步:选择Save for Enterprise or Ad Hoc D ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
